// SPANKING GAME HUB (frontend for various other scripts)
// By Banjo
// banjosbbs@hotmail.com
// www.banjosbbs.blogspot.com
// Version 1.11
//
// CREDITS:
// Script by Banjo.
// Opponent images sourced from various free web preview galleries.
// Standard card deck images by John Fitzgibbon (http://www.jfitz.com/cards/)
// Sexy card deck images are taken from Doti's 'The White Queen' SexScripts upload (original source unknown).
// Dice images created by Banjo from free image resources online.
// Spanking sounds recorded and edited by Banjo.
// Card sounds from www.freesound.org, edited by Banjo from sounds originally recorded by F4ngy and Trevornau22fv.
// Dice sounds from www.freesound.org, edited by Banjo.
// Wheel sounds from www.freesound.org, edited by Banjo from sounds originally recorded by Tony Bear.
// Buzzer sound from www.freesound.org, originally recorded by Kwahmah-02.
// Score sound from www.freesound.org, originally recorded by JustinBW.
// Bankrupt ("sad trombone") sound from www.freesound.org, originally recorded by KirbyDX.
//
// COPYRIGHT:
// This script, from http://ss.deviatenow.com, is protected by this licence:
// CC BY-NC-ND, see http://creativecommons.org/licenses/by-nc-nd/4.0/
// This copyright refers only to this script itself; it does not include any other included resources (images, music, sounds, etc.) which remain the property of their owners.
//
// SCRIPT RESOURCES
// This contains a list of files included with the script when published to the SexScripts website
/*
 * Resources
 * scripts/Banjo/gamehub.groovy
 * images/cards/deck0/*.png
 * images/cards/deck1/*.png
 * images/cards/deck2/*.png
 * images/dice/*.png
 * images/opponents/*.*
 * images/logo.png
 * sounds/spanks/*.wav
 * sounds/banjo/casino/card_deal.wav
 * sounds/banjo/casino/card_flip.wav
 * sounds/banjo/casino/card_shuffle.wav
 * sounds/banjo/casino/dice.wav
 * sounds/banjo/casino/die.wav
 * sounds/banjo/gameshow/quiz_answer.wav
 * sounds/banjo/gameshow/quiz_correct.wav
 * sounds/banjo/gameshow/quiz_incorrect.wav
 * sounds/banjo/gameshow/quiz_loser.wav
 * sounds/banjo/gameshow/quiz_score.wav
 * sounds/banjo/gameshow/wheel_spin1.wav
 * sounds/banjo/gameshow/wheel_spin2.wav
 * sounds/banjo/gameshow/wheel_spin3.wav
 * sounds/banjo/gameshow/sting_dramatic.mp3
 * run_games.bat
 * images/implements.png
 * images/implements/*.jpg
 * scripts/system/implements.groovy
 * run_config_implements.bat
 */
//

//Metadata
setInfos(7, "Game Hub",
	"Game selection menu and core files required for other games (note: this is *not* a game by itself)",
	"Banjo",
	"v1.11", 0xFFFFFF, "en",
	["spanking", "game", "femaledom", "formale", "forfemale", "resource", "banjohub"]);

//Set game list
def gameList = [" Exit"," About"," Download", " Implements", "GAMES:"]

//Install check - Game of Chance
def gameofchance = new File("scripts/Banjo/gameofchance_ee.groovy")
if(gameofchance.exists()) {
	gameList = gameList + [" Game of Chance"]
}

//Install check - Hit Or Stay
def hitorstay = new File("scripts/Banjo/hitorstay_ee.groovy")
if(hitorstay.exists()) {
	gameList = gameList + [" Hit or Stay"]
}

//Install check - Bank, Spank or Wank
def hundredpoints = new File("scripts/Banjo/hundredpoints_ee.groovy")
if(hundredpoints.exists()) {
	gameList = gameList + [" Bank, Spank or Wank"]
}

//Install check - Guess the Number
def guessthenumber = new File("scripts/Banjo/guessthenumber_ee.groovy")
if(guessthenumber.exists()) {
	gameList = gameList + [" Guess the Number"]
}

//Install check - Rock, Paper, Scissors
def rockpaperscissors = new File("scripts/Banjo/rockpaperscissors.groovy")
if(rockpaperscissors.exists()) {
	gameList = gameList + [" Rock, Paper, Scissors"]
}

//Install check - Spank Blackjack
def spankblackjack = new File("scripts/Banjo/spankblackjack.groovy")
if(spankblackjack.exists()) {
	gameList = gameList + [" Spank Blackjack"]
}

//Install check - Four Heroes
def fourheroes = new File("scripts/Banjo/fourheroes.groovy")
if(fourheroes.exists()) {
	gameList = gameList + [" Four Heroes"]
}

//Install check - Match 'Em
def matchem = new File("scripts/Banjo/matchem.groovy")
if(matchem.exists()) {
	gameList = gameList + [" Match 'Em"]
}

//Install check - Wheel of Discipline
def wheelofdiscipline = new File("scripts/Banjo/wheelofdiscipline.groovy")
if(wheelofdiscipline.exists()) {
	gameList = gameList + [" Wheel of Discipline"]
}

//Install check - Eyes Up Here
def eyesuphere = new File("scripts/Banjo/eyesuphere.groovy")
if(eyesuphere.exists()) {
	gameList = gameList + [" Eyes Up Here"]
}

//Install check - Penalty Box
def penaltybox = new File("scripts/Banjo/penaltybox.groovy")
if(penaltybox.exists()) {
	gameList = gameList + [" Penalty Box"]
}

//Games Info
def show_info = {
//	setImage(null)
	show("The following game scripts by Banjo are compatible with this Game Hub and can be downloaded from the SexScripts site:\n\n"
		+"<b>Game of Chance (Enhanced Edition)</b>\n"
		+"Draw cards in an attempt to match your starting card. Each time you fail to match it, you earn a spanking! Based on the original game by Marspank.\n\n"
		+"<b>Hit or Stay (Enhanced Edition)</b>\n"
		+"Draw cards to try and reduce the severity of the spanking you have coming! Based on the original game by Marspank.\n\n"
		+"<b>Bank, Wank or Spank</b>\n"
		+"Roll dice to try and earn the chance to masturbate while trying to avoid a painful spanking! Based on the 'Hundred Points' game by Marspank.\n\n"
		+"<b>Guess the Number (Enhanced Edition)</b>\n"
		+"A challenging number-guessing game, with optional 'strip mode', penalties and rewards. Based on the original game by Wololo.\n\n"
		+"<b>Rock, Paper, Scissors</b>\n"
		+"The classic zero sum game with an evil twist: try and beat your opponent, or they will (literally) beat you!\n\n"
		+"")
	showButton("More")
	show("The following game scripts by Banjo are compatible with this Game Hub and can be downloaded from the SexScripts site:\n\n"
		+"<b>Spank Blackjack</b>\n"
		+"The classic card game of Blackjack, with a spanking twist! You can also play in 'strip' mode and even earn rewards! Based on 'The White Queen' game by Doti.\n\n"
		+"<b>Four Heroes</b>\n"
		+"A tactical card game based on the 'Rock, Paper, Scissors' concept, involving gambling and spanking penalties. Adapted from an original game by CM_Zero.\n\n"
		+"<b>Match 'Em</b>\n"
		+"Roll dice to try and match a set of numbers before your opponent can do the same. Features spanking penalties and masturbation reward.\n\n"
		+"<b>Wheel of Discipline</b>\n"
		+"A prize wheel game playable in either 'game show' (trivia quiz) or 'punishment' mode. Based on the spanking video produced by Pacific Force.\n\n"
		+"<b>Eyes Up Here!</b>\n"
		+"Test your willpower in this challenge to keep your eyes on a woman's face rather than her chest.\n\n"
		+"<b>Penalty Box</b>\n"
		+"Risk spanking punishments solo or with other players. Dare you chance the Mystery Box?\n\n"
		+"")
	showButton("Continue")
//	setImage("logo.png")
}

//Download New Games
def open_site = {
	if(getBoolean("Do you want to go to the SexScripts website to download new games?"
		+"", "Yes","No")) {
		if(isConnected()) {
			useUrl("http://ss.deviatenow.com/scripts.php")
			getString("Your internet browser should have opened the correct download page.\n\n"
				+"If not, please copy the link below and paste it into your web browser.\n\n"
				+"To find compatible scripts, enter 'Game Hub' in the page's Search box or look for scripts with the tag 'banjohub'."
				+"", "http://ss.deviatenow.com/scripts.php")
		}
		else {
			getString("Cannot connect to the internet (your firewall may be blocking this operation)\n\n"
				+"Please copy the link below and paste it into your web browser.\n\n"
				+"To find compatible scripts, enter 'Game Hub' in the page's Search box or look for scripts with the tag 'banjohub'."
				+"", "http://ss.deviatenow.com/scripts.php")
		}
	}
}

//Script start
show(null)
setImage("logo.png")
save("Banjo.games.hub",false)
save("Banjo.games.configimplements",false)
def quitHub = false
def gameSelection = true
while(gameSelection)
{
	def pick_game = getSelectedValue("Banjo's\n<font size='20'><b>SPANKING GAME\nCollection</b></font>\n\nSelect the game you want to play:", gameList)
	def game_picked = gameList[pick_game]
	if(game_picked==" Exit") {
		save("Banjo.games.hub",false)
		gameSelection = false
		quitHub = true
	}
	else if(game_picked==" About") {
		show_info()
	}
	else if(game_picked==" Download") {
		open_site()
	}
	else if(game_picked==" Implements") {
		save("Banjo.games.configimplements",true)
		gameSelection = false
		return "System/implements"
	}
	else if(game_picked==" Game of Chance") {
		save("Banjo.games.hub",true)
		return "Banjo/gameofchance_ee"
	}
	else if(game_picked==" Hit or Stay") {
		save("Banjo.games.hub",true)
		return "Banjo/hitorstay_ee"
	}
	else if(game_picked==" Bank, Spank or Wank") {
		save("Banjo.games.hub",true)
		return "Banjo/hundredpoints_ee"
	}
	else if(game_picked==" Guess the Number") {
		save("Banjo.games.hub",true)
		return "Banjo/guessthenumber_ee"
	}
	else if(game_picked==" Rock, Paper, Scissors") {
		save("Banjo.games.hub",true)
		return "Banjo/rockpaperscissors"
	}
	else if(game_picked==" Spank Blackjack") {
		save("Banjo.games.hub",true)
		return "Banjo/spankblackjack"
	}
	else if(game_picked==" Four Heroes") {
		save("Banjo.games.hub",true)
		return "Banjo/fourheroes"
	}
	else if(game_picked==" Match 'Em") {
		save("Banjo.games.hub",true)
		return "Banjo/matchem"
	}
	else if(game_picked==" Wheel of Discipline") {
		save("Banjo.games.hub",true)
		return "Banjo/wheelofdiscipline"
	}
	else if(game_picked==" Eyes Up Here") {
		save("Banjo.games.hub",true)
		return "Banjo/eyesuphere"
	}
	else if(game_picked==" Penalty Box") {
		save("Banjo.games.hub",true)
		return "Banjo/penaltybox"
	}
}
if(quitHub) {
	show(null)
	setImage(null)
	if(loadBoolean("setting.newsetup")) {
		if(loadBoolean("setting.reload")) {
			return "system/welcome"
		}
		else {
			return "system/exit"
		}
	}
	else {
		return null
	}
}

//END OF SCRIPT
